import { storageKeys, storage } from '@/utils/storage.js'
export default {
	'set_userToken' (state, userToken) {//存储 userToken
		state.userToken = userToken
		storage.setStorage(storageKeys.TOKEN, userToken)
	},
	'set_userInfo' (state, userInfo) {//存储用户信息
		let obj = { ...state.userInfo, ...userInfo }
		state.userInfo = obj
		storage.setStorage(storageKeys.USERINFO, obj)
	},
	'set_location' (state, location) { 
		state.location = location
	},
	'set_gridData' (state, grid) {
		let arr = JSON.parse(JSON.stringify(grid))
		let options = [
			{ key: 'membersArea', name: '全返'},
			{ key: 'highReturn', name: '高返'},
			{ key: 'specialOfferArea', name: '特价'},
			{ key: 'ZeroMoneyBuy', name: '0元购'},
			{ key: 'todayAllReturn', name: '全返'},
			{ key: 'festivaIActivity', name: '节假日'},
			{ key: 'integralStore', name: '兑购'},
			{ key: 'integralStore', name: '兑购'},
			{ key: 'PreferentialSpellGroup', name: '拼团'},
			{ key: 'scienceIsTie-in', name: '科学搭配'},
		]
		arr.forEach(item => {
			let idx = options.findIndex(optionItem => item.title.indexOf(optionItem.name) > -1)
			if (idx > -1) {
				item.key = options[idx].key
			} else {
				item.key = 'home'
			}
				
		})
		state.gridData = arr
	}
}