const storageKeys = {
  TOKEN: '__user_token',
  USERINFO: '__user_info'
}
  
  
const storage = {
  setStorage (key, data, sync = false) {
    if (sync) {
      return new Promise((resolve, reject) => {
        uni.setStorage({
          key, 
          data,
          success: res => {
            resolve(res)
          },
          fail: err => {
            reject(err)
          }
        })
      })
    } else {
      return uni.setStorageSync(key, data)
    }
  },
  getStorage (key, sync = false) {
    if (sync) {
      return new Promise((resolve, reject) => {
        uni.getStorage({
          key, 
          success: res => {
            resolve(res)
          },
          fail: err => {
            reject(err)
          }
        })
      })
    } else {
      return uni.getStorageSync(key)
    }
  },
  removeStorage (key, sync = false) {
    if (sync) {
      return new Promise((resolve, reject) => {
        uni.removeStorage({
          key, 
          success: res => {
            resolve(res)
          },
          fail: err => {
            reject(err)
          }
        })
      })
    } else {
      return uni.removeStorageSync(key)
    }
  },
  clearStorage (sync = false) {
    if (sync) {
      return uni.clearStorage()
    } else {
      return uni.clearStorageSync()
    }
  }
}
export  { storageKeys, storage }